Name:           equalx
Version:        0.7.1
Release:        4%{?dist}
Summary:        A graphical editor for writing LaTeX equations

License:        GPLv3+
URL:            http://equalx.sourceforge.net
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop

BuildRequires:  desktop-file-utils
BuildRequires:  exempi-devel
BuildRequires:  qt4-devel 
Requires:       ghostscript
Requires:       poppler-utils
Requires:       tex(latex)


%description
EqualX is an application that helps you to write equations in LaTeX
and to preview them in real-time.

%prep
%setup -q

# fix line endings
sed 's|\r||g' LICENSE >LICENSE.new
touch -r LICENSE LICENSE.new
mv LICENSE.new LICENSE


%build
qmake-qt4
make %{?_smp_mflags}


%install
install -D -p %{name} %{buildroot}%{_bindir}/%{name}
install -D -p -m 644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1
install -D -p -m 644 resources/icons/%{name}/%{name}.svg %{buildroot}%{_datadir}/pixmaps/%{name}.svg

desktop-file-install \
  --dir %{buildroot}%{_datadir}/applications \
  %{SOURCE1}


%files
%doc LICENSE THANKS changelog
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.svg


%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.7.1-3
- Rebuilt for GCC 5 C++11 ABI change

* Thu Sep 18 2014 Martin Gieseking <martin.gieseking@uos.de> 0.7.1-2
- Replaced Requires: tex(pdflatex) with tex(latex).

* Thu Sep 18 2014 Martin Gieseking <martin.gieseking@uos.de> 0.7.1-1
- Updated to version 0.7.1.
- Added manpage now present in the tarball.

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jun 22 2013 Martin Gieseking <martin.gieseking@uos.de> 0.6.0-1
- Updated to version 0.6.0.
- Dropped patches as they have been applied upstream.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jan 18 2012 Martin Gieseking <martin.gieseking@uos.de> 0.5.1-2
- added patches to fix serious warnings
- preserve timestamps in %%install
- more descriptive summary

* Tue Jan 17 2012 Martin Gieseking <martin.gieseking@uos.de> 0.5.1-1
- initial package

